
package org.netserv.ipauth.core;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.IOException;


public abstract class IpAuthSignerImpl {

  public abstract void addCaPub(X509Certificate caPub);

  public abstract void sign(InputStream input, OutputStream output) 
         throws IOException, CertificateException;
}
