package org.netserv.ipauth.impl;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Arrays;

/**
 *
 * @author Chiache Tsai
 */
public class UdhcpLease extends Object {

  public byte[] xid;
  public byte[] chaddr;
  public byte[] yaddr;
  public byte[] expires;

    /**
     *
     * @param xid
     * @param chaddr
     * @param yaddr
     * @param expires
     */
    public UdhcpLease(byte[] xid, byte[] chaddr, byte[] yaddr, byte[] expires) {
        this.xid = xid;
        this.chaddr = chaddr;
        this.yaddr = yaddr;
        this.expires = expires;
    }

    @Override
    public boolean equals(Object o) {
        if (o instanceof UdhcpLease) {
            UdhcpLease lease = (UdhcpLease)o;
            return Arrays.equals(lease.yaddr, yaddr);
        }
        return false;
    }

    @Override
    public int hashCode() {
        return Arrays.hashCode(this.yaddr);
    }
}
