#ifndef _BROADCASTER_H_
#define _BROADCASTER_H_

#define TIME_BROADCAST 3

struct payload {
    void *data;
    int size;
    uint32_t source_ip;
    int source_port;
    uint32_t dest_ip;
    int dest_port;
    uint8_t *dest_arp;
    int ifindex;
};

struct payload_packet {
	struct iphdr ip;
	struct udphdr udp;
	uint8_t data[];
};

void broadcast_it(void *data, int size, uint32_t source_ip, int source_port,
		   uint32_t dest_ip, int dest_port, uint8_t *dest_arp, int ifindex);

#endif
